Retrieve events from the Queer Calendar for a specific date. Run in API Explorer
Ask AI
Get a list of events from the Queer Calendar happening on a specific date.
Headers
-
The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to
application/jsonValues are
application/json,text/calendar,text/plain, ortext/html. Default value isapplication/json.
GET
/calendar/{date}
curl \
--request GET 'https://pronom.it/api/public/v3/calendar/2024-06-01' \
--header "Accept: application/json"
Response examples (200)
{
"day": "2025-09-18",
"link": "https://en.pronouns.page/calendar/2025-09-18",
"image": "https://en.pronouns.page/calendar/en/2025-09-18.png",
"message": "[English] 2025-09-18\n\nWe're celebrating/commemorating:\n - HIV/AIDS and Aging Awareness Day\n - Bisexual Awareness Week\n - Suicide Prevention Month\n - Diversity Month (Uruguay)\n\nhttps://en.pronouns.page/calendar/2025-09-18",
"events": [
"HIV/AIDS and Aging Awareness Day",
"Bisexual Awareness Week",
"Suicide Prevention Month",
"Diversity Month (Uruguay)"
],
"eventsRaw": [
{
"name": "hiv_aging_awareness_day",
"display": {
"type": "flag",
"name": "_red-ribbon"
},
"month": 9,
"level": 3,
"terms": [
"aids"
],
"localCalendar": null,
"yearCondition": null,
"comment": null
},
{
"name": "bisexual_week",
"display": {
"type": "flag",
"name": "Bisexual"
},
"month": 9,
"level": 1,
"terms": [
"bisexual"
],
"localCalendar": null,
"yearCondition": null,
"comment": null
},
{
"name": "suicide_prevention_month",
"display": {
"type": "flag",
"name": "_yellow-ribbon"
},
"month": 9,
"level": 0,
"terms": [],
"localCalendar": null,
"yearCondition": null,
"comment": null
},
{
"name": "Diversity Month (Uruguay)",
"display": {
"type": "flag",
"name": "LGBTQ"
},
"month": 9,
"level": 0,
"terms": [],
"localCalendar": null,
"yearCondition": null,
"comment": null
}
]
}
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}